Summary:	Active Data Objects Data Base (ADOdb)
Name:		php-adodb
Version:	5.05
Release:	%mkrel 1
License:	BSD
Group:		Development/PHP
URL:		http://adodb.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/adodb/adodb505.tgz
BuildArch:	noarch
Epoch:		2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
PHP is a wonderful language for building dynamic web pages. Unfortunately,
PHP's database access functions are not standardised. Every database
extension uses a different and incompatibile API. This creates a need for a
database class library to hide the differences between the different databases
(encapsulate the differences) so we can easily switch databases. 

%prep

%setup -q -n adodb5

find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;

find . -name CVS -o -name .cvs\* -o -name .#\* | xargs rm -rf

# fix encoding
for file in `find . -type f`; do
    perl -pi -e 'BEGIN {exit unless -T $ARGV[0];} tr/\r//d;' $file
done

%build

%install
rm -rf %{buildroot}

install -d %{buildroot}/var/www/icons
install -d %{buildroot}%{_datadir}/%{name}
cp -aRf * %{buildroot}%{_datadir}/%{name}

install -m644 cute_icons_for_site/* %{buildroot}/var/www/icons/

# cleanup
rm -rf %{buildroot}%{_datadir}/adodb/cute_icons_for_site
rm -rf %{buildroot}%{_datadir}/adodb/docs
rm -f %{buildroot}%{_datadir}/*.zip
rm -f %{buildroot}%{_datadir}/*.txt

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc *.txt docs/*
%{_datadir}/%{name}
/var/www/icons/*


%changelog
* Sun Jul 20 2008 Oden Eriksson <oeriksson@mandriva.com> 2:5.05-1mdv2009.0
+ Revision: 239115
- 5.05

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Sep 06 2007 Oden Eriksson <oeriksson@mandriva.com> 2:4.95-1mdv2008.0
+ Revision: 81132
- 4.95

* Fri Aug 31 2007 Helio Chissini de Castro <helio@mandriva.com> 1:5.01-1mdv2008.0
+ Revision: 76441
- New upstream version

* Wed Jul 25 2007 Funda Wang <fundawang@mandriva.org> 1:4.95a-1mdv2008.0
+ Revision: 55434
- New version


* Mon Aug 21 2006 Oden Eriksson <oeriksson@mandriva.com> 1:4.91-1mdv2007.0
- 4.91

* Fri May 05 2006 Oden Eriksson <oeriksson@mandriva.com> 1:4.81-1mdk
- 4.81 (Minor bugfixes)

* Wed Mar 29 2006 Oden Eriksson <oeriksson@mandriva.com> 1:4.80-1mdk
- 4.80 (Minor bugfixes)

* Wed Nov 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1:4.68-1mdk
- 4.68

* Tue Jul 19 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1:4.64-2mdk 
- used %%mkrel

* Wed Jun 29 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1:4.64-1mdk 
- new version
- introduce epoch
- rpmbuildupate aware
- renamed to php-adodb
- install in /usr/share/php-adodb
- don't skip rpm automatic dependencies computing
- use perl instead of dos2unix to fix encodings

* Tue May 10 2005 Oden Eriksson <oeriksson@mandriva.com> 4.54-1mdk
- rename the package (ADOdb/adodb)
- new url
- move to /usr/share/adodb
- fix file permissions and anti ^M's

* Thu Nov 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.54-1mdk
- 4.54
- use rpm magic to speed up the build

* Wed May 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.22-1mdk
- 4.22

* Wed May 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.00-2mdk
- fix deps

* Tue Oct 21 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.00-1mdk
- 4.00

* Fri Aug 22 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.72-1mdk
- 3.72

